/*****************************************************************************
* Catalyst F200Z Sample Codes
* LCD 3.2" Wide Sample
* Version : 1.0.0
* R&D : Digitronic.ir Team			12/02/16
* www.ECA.ir
* www.Eshop.ECA.ir
* www.Forum.ECA.ir
*****************************************************************************/

#include "stm32f2xx.h"
#include "stdio.h"
#include "usart.h"
#include "stdio.h"
#include "lcd.h"
#include "eca.h"
#include "delay.h"

int main(void)
{
	int i;
	char txt[] = "www.ECA.ir";
	char txt2[] = "Catalyst F200Z";
	
	GPIO_InitTypeDef GPIO_InitStructure;
	USART_InitTypeDef USART_InitStructure;
	
	u16 ColorTable[6]={Yellow, RED, Cyan, Blue, White, Green};
	Uart_Init(115200);
	
	printf("Init LCD 3.2 Wide\r\n");
	LCD_Init();
	LCD_Clear(RED);
	
	while (1)
	{
		printf("Clear LCD\r\n");
		// Test Clear Screen
        LCD_Clear(ColorTable[rand()%6]); 
		
		// Test Fill Area
        LCD_Fill(WIDTH/2-100, HEIGHT/2-100, WIDTH/2+100, HEIGHT/2+100, ColorTable[rand()%6]);

		// Test Sohw Character & Number 
		LCD_ShowChar(0, 0, 'H', 16, 0);
		LCD_ShowChar(8, 0, 'X', 16, 0);
		LCD_ShowxNum(16, 0, 8352, 4, 16, 0);
		
		// Test Draw Line
		LCD_DrawLine(WIDTH/2-100, HEIGHT/2, WIDTH/2+100, HEIGHT/2);
		
		// Test Draw Rectangle
		LCD_DrawRectangle(WIDTH/2-100, HEIGHT/2-100, WIDTH/2+100, HEIGHT/2+100);
		
		// Test Draw Circle
		Draw_Circle(WIDTH/2, HEIGHT/2, 100);
		
		// Test Show String
		LCD_ShowString(WIDTH/2-strlen(txt)*4, 0, 80, 16, 16, txt);
		LCD_ShowString(WIDTH/2-strlen(txt2)*3, HEIGHT-16, 160, 16, 12, txt2);
		
		// Test Show Image
		LCD_Show_Image(WIDTH/2-39, HEIGHT/2-60, 78, 120, eca_logo); 
		
		delay_ms(2000);
	}
}
